org.apache.ignite.internal.processors.authentication

## Class UserManagementOperationFinishedMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.authentication.UserManagementOperationFinishedMessage

All Implemented Interfaces:
  Serializable, Message

    public class UserManagementOperationFinishedMessage
    extends Object
    implements Message

Message indicating that user operation is finished locally on the node. Server nodes send this message to coordinator when the user operation is finished.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UserManagementOperationFinishedMessage()`
`UserManagementOperationFinishedMessage(IgniteUuid opId, String errorMsg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`String` `errorMessage()`
`byte` `fieldsCount()` Gets fields count.
`void` `onAckReceived()` Method called when ack message received.
`IgniteUuid` `operationId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `success()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserManagementOperationFinishedMessage

    public UserManagementOperationFinishedMessage()

#### UserManagementOperationFinishedMessage

    public UserManagementOperationFinishedMessage(IgniteUuid opId,
                                                  String errorMsg)

Parameters:
  `opId` - operation id
  `errorMsg` - error message

### Method Detail

#### operationId

    public IgniteUuid operationId()

Returns:
  Operation ID,

#### success

    public boolean success()

Returns:
  Success flag.

#### errorMessage

    public String errorMessage()

Returns:
  Error message.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018